# Wöchentliches Update-Skript für Linux-Systeme

Dieses Skript ist eine verbesserte Version eines wöchentlichen Update-Skripts für Linux-Systeme. Es aktualisiert das System, führt eine Systembereinigung durch und protokolliert die Ausgabe in einer Log-Datei.

## Funktionen

- Erstellt ein Logverzeichnis unter `/var/log/script-logs`, um die Protokolldateien zu speichern.
- Definiert Variablen für den Hostnamen des Systems und die E-Mail-Adresse für Benachrichtigungen bei fehlgeschlagenen Updates.
- Aktualisiert das System mit den Befehlen `sudo apt update` und `sudo apt upgrade -y`.
- Überprüft das Ergebnis des Updates und sendet bei einem fehlgeschlagenen Update eine E-Mail mit Informationen und dem Protokollinhalt.
- Führt Systembereinigungsbefehle aus, bereinigt Verzeichnisse und sichert den letzten funktionierenden Kernel, wenn das Update erfolgreich war.

## Verwendung

1. Klone das Repository: `git clone https://git.media-techport.de/scriptos/weekly-updater.git`
2. Navigiere in das Verzeichnis: `cd weekly-updater`
3. Führe das Skript aus: `bash weekly-update.v2.sh`

## Beispiel Installation:

```bash
# Script zum Updaten des Systems und CronJob erstellen
mkdir -p /home/scripts/default
mkdir -p /temp/git
git clone https://git.media-techport.de/scriptos/weekly-updater.git /temp/git/weekly-updater
cp /temp/git/weekly-updater/weekly-update.v2.sh /home/scripts/default/weekly-update.v2.sh
chmod 755 -R /home/scripts/default
chmod +x /home/scripts/default/weekly-update.v2.sh
cat <(crontab -l) <(echo "@weekly /home/scripts/default/weekly-update.v2.sh > /dev/null 2>&1") | crontab -
```

## Lizenz

Dieses Skript steht unter der [MIT-Lizenz](https://opensource.org/licenses/MIT).